<!DOCTYPE html>
<html>
<head>
	<meta charset="utf-8">
	<title>HTML Table and Forms</title>
</head>
<body>

	
	<header>
		<h1>HTML Tables and Forms</h1>
	</header>

	<main>
		
		<section>
			<h2>HTML Entities</h2>
			<p><em>Reserved Characters in HTML (e.g. &lt;&gt; characters that can mix up with HTML code)</em></p>
		</section>


		<!-- Defines HTML Table -->
		<table border="1">
			<!-- used to group table header content -->
			<thead>
				<!-- Defines table row -->
				<tr>
					<!-- defines table header -->
					<!-- colspan ->expands cell "xx" how many cells to expand -->
					<th colspan="2">Entity</th>
					<th>Description</th>
				</tr>
			</thead>

			<!-- used to group table body content -->
			<tbody>
				<tr>
					<!-- defines table element -->
					<td>&lt;</td>
					<td>lt</td>
					<td>less than</td>
				</tr>
				<tr>
					<td>&gt;</td>
					<td>gt</td>
					<td>greater than</td>
				</tr>
				<tr>
					<td>&#8369;</td>
					<td>#8369</td>
					<td>Peso Sign</td>
				</tr>
				<tr>
					<td>&amp;</td>
					<td>amp</td>
					<td>ampersand</td>
				</tr>
				<tr>
					<td>&quot;</td>
					<td>quot</td>
					<td>double quotation mark</td>
				</tr>
					<tr>
					<td>&apos;</td>
					<td>apos</td>
					<td>single quotation mark (apostrophe)</td>
				</tr>
					</tr>
					<tr>
					<td>&ntilde;</td>
					<td>ntilde</td>
					<td>Lower Tilde</td>
				</tr>
				</tr>
					</tr>
					<tr>
					<td>&Ntilde;</td>
					<td>Ntilde</td>
					<td>Upper Tilde</td>
				</tr>

			</tbody>

			<!-- Used to group table footer content -->
			<tfoot>
				<tr>
					<th colspan="3">List of Table Entities</th>
				</tr>
			</tfoot>
		</table>

		<section>
			<h2>HTML Forms</h2>
			<p><em>Input elements that make up form</em></p>

			<!-- Creates HTML form to capture user input  -->
			<!-- action attribute - redirects to another page once form submits -->
			<form action="https://google.com">
				<!-- creates label and allows for input field selection when clicked -->
				<!-- <br> no end tag- next line -->
				<!-- "input" has no end tag -->
				<label for="full_name">Full Name:</label><br>
				<input type="text" name="full_name" id="full_name" required><br>
				<label for="birth_date">Birth date:</label>.<br>
				<input type="date" name="birth_date" id="birth_date" required><br>
				<label for="age">Age:</label>.<br>
				<input type="number" name="age" id="age" required><br>
				<label for="gender">Gender:</label>.<br>

				<!-- creates a dropdown selection -->
				<select name="gender" id="gender">
					<!-- creates an option for dropdown menu -->
					<option value="">--Select Gender--</option>
					<option value="male">male</option>
					<option value="female">female</option><br>

				</select><br>

					<label for="notes">Notes:</label><br>
					<!-- textarea creates larger input area -->
					<textarea name="notes" id="notes" rows="8"></textarea><br>

					<!-- radio button 1 option only-->
					<label>New User:</label><br>

					<input type="radio" name="new_user" id="user_type1" value="yes">
					<label for="user_type1">Yes</label><br>
					<input type="radio" name="new_user" id="user_type2" value="no">
					<label for="user_type2">No</label><br>

					<!-- check boxes for multiple selection-->
					<label>Role:</label><br>

					<!-- create check boxes for multiple choices -->
					<input type="checkbox" name="role1" id="role1" value="developer">
					<label for="role1">developer</label><br>
					<input type="checkbox" name="role2" id="role2" value="student">
					<label for="role1">student</label><br>
					<input type="checkbox" name="role3" id="role3" value="manager">
					<label for="role1">manager</label><br><br>

					<!-- button to submit-->
					<button type="submit">Submit</button><br><br>
					<!-- button to rset -->
					<button type="reset">Reset</button>


			</form>


		</section>

	</main>


</body>
</html>